package com.gic.haoban.manage.web.qo.content.log;

import com.gic.haoban.manage.web.qo.content.ContentMaterialBaseQO;

/**
 * @Author MUSI
 * @Date 2023/3/17 10:57 AM
 * @Description
 * @Version
 * 素材分享日志
 **/
public class MaterialShareLogQO extends ContentMaterialBaseQO {

    private static final long serialVersionUID = 2185842438469492808L;

    /**
     * 分享类型
     * 1分享朋友圈; 2 群发给客户; 3 群发到群
     */
    private Integer shareType;

    /**
     * 外部联系人id
     */
    private String externalUserId;

    /**
     * 额外数据
     */
    private String extend;

    public Integer getShareType() {
        return shareType;
    }

    public void setShareType(Integer shareType) {
        this.shareType = shareType;
    }

    public String getExternalUserId() {
        return externalUserId;
    }

    public void setExternalUserId(String externalUserId) {
        this.externalUserId = externalUserId;
    }

    public String getExtend() {
        return extend;
    }

    public void setExtend(String extend) {
        this.extend = extend;
    }
}
